tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bachuba <bach...@yahoo.com>
Subject Re: Programmatically Determine JVM Version used by Tomcat
Date Thu, 07 Jun 2007 20:48:23 GMT

I believe the suggested solutions will only poll the java version installed
on the computer, correct?  I probably should have provided a little more
detail on what is needed.

Tomcat is being installed with JAVA_HOME pointed toward a 1.4 version of
java.  Later, JAVA 1.5 is installed and JAVA_HOME updated, but the Tomcat
service is still using 1.4 (verified by running tomcat5w.exe and clicking on
the Java tab).  This value either needs to be updated or the Tomcat service
uninstalled and reinstalled with the new JAVA_HOME.  Sometimes this doesn't
happen causing issues with our application, so I'd like to write a program
that detects when this situation occurs (JAVA_HOME set to 1.5, Tomcat using
1.4).  Thanks.
-- 
View this message in context: http://www.nabble.com/Programmatically-Determine-JVM-Version-used-by-Tomcat-tf3884522.html#a11015926
Sent from the Tomcat - User mailing list archive at Nabble.com.


---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message